CacheType (Groovy 5.0.0)
Description: declaration: package: org.apache.groovy.json.internal, enum: CacheType

Package org.apache.groovy.json.internal

# Enum CacheType

java.lang.Object
java.lang.Enum<CacheType>
org.apache.groovy.json.internal.CacheType

All Implemented Interfaces:
  `Serializable`, `Comparable<CacheType>`, `java.lang.constant.Constable`

public enum CacheType extends Enum<CacheType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIFO`
  `LFU`
  `LRU`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CacheType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CacheType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LRU

    public static final CacheType LRU

  - ### LFU

    public static final CacheType LFU

  - ### FIFO

    public static final CacheType FIFO

- ## Method Details

  - ### values

    public static CacheType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CacheType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null